Bug 847158 - Test org.infinispan.loaders.decorators.BatchAsyncCacheStoreTest.indexWasStored fails randomly
Test org.infinispan.loaders.decorators.BatchAsyncCacheStoreTest.indexWasStore...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium
: ER12
: 6.1.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 987466
  Show dependency treegraph
 
Reported: 2012-08-09 18:37 EDT by Anna Manukyan
Modified: 2013-10-06 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 987466 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2519 Major Closed Test org.infinispan.loaders.decorators.BatchAsyncCacheStoreTest.indexWasStored fails randomly 2017-06-19 04:40 EDT

  None (edit)
Comment 3 mark yarborough 2012-11-14 09:42:27 EST
ttarrant will add jira links as appropriate.
Comment 4 JBoss JIRA Server 2013-02-05 19:37:06 EST
Sanne Grinovero <sanne.grinovero@gmail.com> made a comment on jira ISPN-2519

links to failure logs are reporting me a 404 server error :-(
Comment 5 Tristan Tarrant 2013-02-22 04:15:28 EST
amanukya@redhat.com reports the issue hasn't happened recently, so it might be safe to assume it is resolved
Comment 6 Anna Manukyan 2013-03-04 03:47:13 EST
This bug doesn't appear anymore. Was verified for JDG 6.1.0.ER12 build.
Comment 7 JBoss JIRA Server 2013-03-04 03:52:38 EST
Anna Manukyan <amanukya@redhat.com> updated the status of jira ISPN-2519 to Resolved
Comment 8 JBoss JIRA Server 2013-03-04 03:52:38 EST
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-2519

This issue doesn't appear any more.
Comment 9 JBoss JIRA Server 2013-03-05 09:02:32 EST
Pedro Ruivo <pedroruivo2@gmail.com> updated the status of jira ISPN-2519 to Reopened
Comment 10 JBoss JIRA Server 2013-03-05 09:02:32 EST
Pedro Ruivo <pedroruivo2@gmail.com> made a comment on jira ISPN-2519

the fail still occurs in my laptop
Comment 11 JBoss JIRA Server 2013-03-05 09:03:18 EST
Pedro Ruivo <pedroruivo2@gmail.com> made a comment on jira ISPN-2519

trace log of the test...
Comment 12 JBoss JIRA Server 2013-03-05 09:09:10 EST
Pedro Ruivo <pedroruivo2@gmail.com> made a comment on jira ISPN-2519

trace log of the test...

It looks like it has not enough time to write the data in the disk. In the previous test I have errors like:

{code}
ISPN000063: Exception while saving bucket Bucket{entries={k3=ImmortalCacheEntry{key=k3, value=ImmortalCacheValue {value=V1992}},
 k4=ImmortalCacheEntry{key=k4, value=ImmortalCacheValue {value=V1993}},
 k5=ImmortalCacheEntry{key=k5, value=ImmortalCacheValue {value=V1851}},
 k6=ImmortalCacheEntry{key=k6, value=ImmortalCacheValue {value=V1852}}, 
k7=ImmortalCacheEntry{key=k7, value=ImmortalCacheValue {value=V1996}}, 
k8=ImmortalCacheEntry{key=k8, value=ImmortalCacheValue {value=V1854}}, 
k9=ImmortalCacheEntry{key=k9, value=ImmortalCacheValue {value=V1855}}, 
k0=ImmortalCacheEntry{key=k0, value=ImmortalCacheValue {value=V1989}}, 
k1=ImmortalCacheEntry{key=k1, value=ImmortalCacheValue {value=V1990}}, 
k2=ImmortalCacheEntry{key=k2, value=ImmortalCacheValue {value=V1991}}}, bucketId='3072'}
java.nio.channels.ClosedChannelException
{code}

and in the test I have errors like:

{code}
Failure on key 'kXX' expected value: 'Vzzzz' actual value: 'Vyyyy'
{code}
Comment 13 JBoss JIRA Server 2013-03-05 09:26:36 EST
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-2519

Hmmm, interesting - I run the job for all environments and the tests doesn't fail at all. 10 pass from 10.

But I run the tests on my local too, and they are randomly failing but with another error:

{code}
2013-03-05 15:23:27,619 WARN  [AsyncStore] (main) ISPN000142: The async store shutdown timeout (25000 ms) is too high compared to cache stop timeout (1000 ms), so instead using 900 ms for async store stop wait
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k3' expected value: 'V1992' actual value: 'null'
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k11' expected value: 'V1987' actual value: 'V1805'
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k4' expected value: 'V1993' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k5' expected value: 'V1994' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k6' expected value: 'V1995' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k7' expected value: 'V1996' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k8' expected value: 'V1997' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k9' expected value: 'V1998' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k0' expected value: 'V1989' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k1' expected value: 'V1990' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k2' expected value: 'V1991' actual value: 'null'
java.lang.AssertionError: expected [false] but found [true]
	at org.testng.Assert.fail(Assert.java:89)
	at org.testng.Assert.failNotEquals(Assert.java:489)
	at org.testng.Assert.assertFalse(Assert.java:58)
	at org.testng.Assert.assertFalse(Assert.java:68)
	at org.infinispan.loaders.decorators.BatchAsyncCacheStoreTest.indexWasStored(BatchAsyncCacheStoreTest.java:114)
{code}
Comment 14 JBoss JIRA Server 2013-03-05 09:29:12 EST
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-2519

Hmmm, interesting - I run the job for all environments and the tests doesn't fail at all. 10 pass from 10.

But I run the tests on my local too, and they are randomly failing with assertion error:

{code}
2013-03-05 15:23:27,619 WARN  [AsyncStore] (main) ISPN000142: The async store shutdown timeout (25000 ms) is too high compared to cache stop timeout (1000 ms), so instead using 900 ms for async store stop wait
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k3' expected value: 'V1992' actual value: 'null'
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k11' expected value: 'V1987' actual value: 'V1805'
2013-03-05 15:23:27,626 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k4' expected value: 'V1993' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k5' expected value: 'V1994' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k6' expected value: 'V1995' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k7' expected value: 'V1996' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k8' expected value: 'V1997' actual value: 'null'
2013-03-05 15:23:27,627 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k9' expected value: 'V1998' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k0' expected value: 'V1989' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k1' expected value: 'V1990' actual value: 'null'
2013-03-05 15:23:27,628 ERROR [BatchAsyncCacheStoreTest] (main) Failure on key 'k2' expected value: 'V1991' actual value: 'null'
java.lang.AssertionError: expected [false] but found [true]
	at org.testng.Assert.fail(Assert.java:89)
	at org.testng.Assert.failNotEquals(Assert.java:489)
	at org.testng.Assert.assertFalse(Assert.java:58)
	at org.testng.Assert.assertFalse(Assert.java:68)
	at org.infinispan.loaders.decorators.BatchAsyncCacheStoreTest.indexWasStored(BatchAsyncCacheStoreTest.java:114)
{code}
Comment 15 JBoss JIRA Server 2013-03-05 09:31:08 EST
Pedro Ruivo <pedroruivo2@gmail.com> made a comment on jira ISPN-2519

I found the problem: my hard drive is too slow. If I increase the cache stop timeout (eg. 30000ms) it passes the test. I'll close the JIRA again.
Comment 16 JBoss JIRA Server 2013-03-05 09:31:31 EST
Pedro Ruivo <pedroruivo2@gmail.com> updated the status of jira ISPN-2519 to Closed
Comment 17 JBoss JIRA Server 2013-03-05 09:40:36 EST
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-2519

Hi Pedro,

exactly - I wanted to write to you about it. Anyway, I'll modify the test so that it waits until the data is stored in the cache before stopping for avoiding the failures.

Regards,
Anna.
Comment 18 JBoss JIRA Server 2013-03-05 09:46:19 EST
Sanne Grinovero <sanne.grinovero@gmail.com> made a comment on jira ISPN-2519

Passing the test should not rely on the speed of your disk: means we still need to fix the test.
Comment 19 JBoss JIRA Server 2013-03-05 09:46:35 EST
Sanne Grinovero <sanne.grinovero@gmail.com> made a comment on jira ISPN-2519

Anna, just saw you comment. +1000
Comment 20 JBoss JIRA Server 2013-03-05 09:46:44 EST
Sanne Grinovero <sanne.grinovero@gmail.com> updated the status of jira ISPN-2519 to Reopened

Note You need to log in before you can comment on or make changes to this bug.